org.apache.pdfbox.io

## Class RandomAccessInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.apache.pdfbox.io.RandomAccessInputStream

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class RandomAccessInputStream
    extends InputStream

An InputStream which reads from a RandomAccessRead.

Author:
  Ben Litchfield, John Hewson

### Constructor Summary

Constructors
Constructor and Description
`RandomAccessInputStream(RandomAccessRead randomAccessRead)` Creates a new RandomAccessInputStream, with a position of zero.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `available()`
`int` `read()`
`int` `read(byte[] b, int off, int len)`
`long` `skip(long n)`

### Methods inherited from class java.io.InputStream

`close, mark, markSupported, read, reset`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RandomAccessInputStream

    public RandomAccessInputStream(RandomAccessRead randomAccessRead)

Creates a new RandomAccessInputStream, with a position of zero. The InputStream will maintain its own position independent of the RandomAccessRead.

Parameters:
  `randomAccessRead` - The RandomAccessRead to read from.

### Method Detail

#### available

    public int available()
                  throws IOException

Overrides:
  `available` in class `InputStream`
Throws:
  `IOException`

#### read

    public int read()
             throws IOException

Specified by:
  `read` in class `InputStream`
Throws:
  `IOException`

#### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`

#### skip

    public long skip(long n)
              throws IOException

Overrides:
  `skip` in class `InputStream`
Throws:
  `IOException`